Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356301 - [RFE] 3.2 minor upgrade playbook needed.
Summary: [RFE] 3.2 minor upgrade playbook needed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: ---
Assignee: Devan Goodwin
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 22:45 UTC by Ryan Howe
Modified: 2016-07-20 19:41 UTC (History)
9 users (show)

Fixed In Version: openshift-ansible-3.2.12-1.git.0.14b4bd0.el7
Doc Type: Enhancement
Doc Text:
Previously the upgrade playbooks only supported upgrading from 3.1 to 3.2. The upgrade playbooks have been updated to support 3.2 minor upgrades in addition to major upgrades from 3.1. The upgrade playbook has been renamed from 'v3_1_to_v3_2' to 'v3_2' and may be used for both scenarios.
Clone Of:
Environment:
Last Closed: 2016-07-20 19:41:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1467 normal SHIPPED_LIVE Red Hat OpenShift Enterprise atomic-openshift-utils bug fix update 2016-07-20 23:40:43 UTC

Description Ryan Howe 2016-07-13 22:45:56 UTC
Description of problem:

Like 3.1 we need a minor upgrade playbook that will upgrade customers from 3.2.0 to 3.2.1. 


This is what we had for 3.1, looking for a 3.2 version. 

https://github.com/openshift/openshift-ansible/tree/master/playbooks/byo/openshift-cluster/upgrades/v3_1_minor

Comment 4 Scott Dodson 2016-07-18 14:35:12 UTC
https://github.com/openshift/openshift-ansible/pull/1945 moves to a unified v3_2 upgrade playbook that functions for both 3.1 to 3.2 and 3.2 minor upgrades.

Comment 6 Anping Li 2016-07-19 04:03:59 UTC
Verified and pass on atomic-openshift-utils-3.2.12-1

Comment 8 errata-xmlrpc 2016-07-20 19:41:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1467


Note You need to log in before you can comment on or make changes to this bug.